@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

:root {
    --light-blue: #ADD8E6;
    --dark-blue: #211E3B;

    --muted-green: #9D988F;
    --yellow: #F2E88C;
    --darker-green: #38493D;

    --dark-red: #833345;
    --orange: #CF5E33;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: 'Poppins', sans-serif;
}

.showcase {
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100svh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    color: #fff;
    z-index: 2;
    transition: 0.5s;
}

.showcase.active {
    right: 300px;
}

.showcase header {
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    padding: 40px 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
}

.logo {
    text-transform: uppercase;
    cursor: pointer;
}

.toggle {
    position: relative;
    width: 60px;
    height: 60px;
    background: url('assets/menu.svg');
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    cursor: pointer;
    transition: .5s ease;
}

.toggle.active {
    background: url('assets/close.svg');
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: center;
}

.showcase img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.text {
    position: relative;
    margin-top: 5rem;
    z-index: 10;
}

.text h2 {
    font-size: 5em;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
    color: var(--orange);
}

.text h3 {
    font-size: 4em;
    font-weight: 700;
    line-height: 1em;
    text-transform: uppercase;
    color: var(--light-blue);
}

.text p {
    font-size: 1.1em;
    margin:20px 0;
    font-weight: 400;
    max-width: 700px;
    color: var(--muted-green);
}

.text .btn {
    display: inline-block;
    font-size: 1em;
    background: #fff;
    padding: 10px 30px;
    text-decoration: none;
    color: #111;
    margin-top: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: letter-spacing 0.2s;
}

.text ul li {
    list-style:none;
    margin-bottom: 1rem;
}

.text ul li a {
    text-decoration: none;
    font-size: 1.1em;
    margin:20px 0;
    font-weight: 400;
    max-width: 700px;
    color: var(--muted-green);
}

.text .btn:is(:hover, :focus-visible) {
    letter-spacing: 6px;
}

.activities {
    margin-top: 2rem;
    align-self: flex-start;
}

.social {
    position: absolute;
    bottom: 20px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social li {
    list-style: none;
}

.social li a {
    color:var(--orange);
    display: inline-block;
    margin-right: 20px;
    transform: scale(1.5);
    transition: transform 0.5s;
}

.social li a:is(:hover, :focus-visible) {
    transform: scale(1.5) translateY(-15px);
}

.menu {
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu ul {
    position: relative;
    list-style: none;
}               

.menu ul li a {
    text-decoration: none;
    font-size: 24px;
    color: #111;
}

.menu ul li a:is(:hover, :focus-visible) {
    color:var(--orange);
}

@media (max-width: 798px) {
    .showcase, .showcase header {
        padding: 40px;
    }

    .text h2 {
        font-size: 3em;
    }

    .text h3 {
        font-size: 2em;
    }
}